#include <stdio.h>
#include <stdlib.h>

int broj_cifara(int n)
{
    int br=0;
    while(n)
    {
        br++;
        n/=10;
    }
    return br;
}
int main()
{
    int x,y,br=1,novi_broj=0,a,b,p,i;
    scanf("%d", &x);
    scanf("%d", &y);
    int n[broj_cifara(x)];
    int m[broj_cifara(y)];
    int c=x;
    int d=y;
    for (int i = broj_cifara(x)-1; i >=0 ;i--)
    {
    n[i] = c%10;
    c/=10;
    }
    for (int i = broj_cifara(y)-1; i >=0 ;i--)
    {
    m[i] = d%10;
    d/=10;
    }
    c=x;
    d=y;
    i=0;
    if(broj_cifara(x)>broj_cifara(y))
    {
        while(broj_cifara(c)!=broj_cifara(d))
        {
            printf("%d", n[i]);
            c/=10;
            i++;
        }
    }
    else
    {
        while(broj_cifara(d)!=broj_cifara(c))
        {
            printf("%d", m[i]);
            d/=10;
            i++;
        }
    }
    while(x>0 && y>0)
    {
        a=x%10;
        x/=10;
        b=y%10;
        y/=10;
        if(a>b)
        {
            p=a*br;
            novi_broj+=p;
            p=0;
        }
        else if (b>a)
        {
            p=b*br;
            novi_broj+=p;
            p=0;
        }
        else 
        {
            a*=11; 
            p=a*br;
            novi_broj+=p;
            p=0;
            br*=10;
        }
        br*=10; 
    }
    printf("%d", novi_broj);

    return 0;
}